<script>
    export let data;
    export let url;
</script>

<h2>
    Data &nbsp;&nbsp;&nbsp;
    <a href="{url}" target="_blank">
        <i class="fas fa-file-download"></i>
    </a>
</h2>
<div>
    <table align="center">
        <thead>
            <tr>
                <th>Date</th>
                <th>Rolls</th>
            </tr>
        </thead>
        <tbody>
            {#each data as item}
                <tr>
                    <td>{item[0]}</td>
                    <td>{item[1]}</td>
                </tr>
            {/each}
        </tbody>
    </table>
</div>

<style>
table {
  border-collapse: collapse;
}

table, th, td {
  border: 1px solid #676778;
  padding: .5rem;
}

th {
    color: #40b3ff;
}

td {
    color: #676778;
}
</style>